4.14. PostgreSQL

4.14.1. データベースをアップグレードする

PostgreSQL 8.4 (postgresql84-* パッケージ) を使用していた既存の Red Hat Enterprise Linux 5 からアップグレードを行っている場合は、Red Hat Enterprise 6 PostgreSQL パッケージが当座の代替として動作するようになります。
ただし、 PostgreSQL 8.1 (postgresql-* パッケージ) またはこれより旧式のバージョンを使用していた Red Hat Enterprise Linux 5 インストールからのアップブレードで、 維持しておく必要があるデータベースコンテンツが既存している場合、 データ形式が変更されているためダンプに従い記載されている手順を再ロードする必要があります (http://www.postgresql.org/docs/8.4/interactive/install-upgrading.html)。 必ずダンプの手順を 先に 行ってから、 Red Hat Enterprise Linux 6 のアップグレードを行ってください。